### Method

# Ide Debugger get_threads

#### Declaration

    GListModel*
    ide_debugger_get_threads (
      IdeDebugger* self
    )

#### Description

Gets the threads that have been registered by the debugger.

The resulting `GListModel` accuracy is based on the `IdeDebugger` implementation emitting varous thread modification signals correctly.

Available since: | 3.32

#### Return value

Returns: | A list model of `GObject`
| A `GListModel` of `IdeDebuggerThread`.
| The data is owned by the instance.